## INTRODUCTION

The Media Duplicate Detect module is a Drupal module that provides duplicate
file detection for Media Library uploads. It helps prevent duplicate files
from being uploaded by checking file hashes and providing users with the
option to reuse existing media items.

The primary use cases for this module are:

- Prevent duplicate image uploads in the Media Library
- Automatically detect and suggest existing media items when
duplicates are found
- Allow privileged users to bypass duplicate detection when needed
- Improve media library organization by reducing redundant files

## REQUIREMENTS

This module requires the following:

- Drupal Core Media (^10 || ^11)
- Drupal Core Media Library
- [File Hash](https://www.drupal.org/project/filehash) module

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

1. Install and enable the module and its dependencies
2. Configure duplicate detection per field:
   - Edit the form display of an entity type
   - Locate the media library widget you want to configure
   - Click the gear icon to access the field settings
   - Check the "Detect duplicates" option to enable duplicate detection
3. Set up user permissions:
   - Navigate to People > Permissions
   - Grant the "Bypass media duplicate upload prevention" permission to roles
that should be able to upload
duplicate files

## MAINTAINERS

Current maintainers for Drupal 10:

- Will Jackson (wjackson) - https://www.drupal.org/u/wjackson
