(function ($, Drupal, once) {
    Drupal.behaviors.mediaDupeDetect = {
        attach: function (context, settings) {
            once('dupe-detect', '.duplicate-acknowledge', context).forEach(
                function (checkbox) {
                    const $wrapper = $(checkbox).closest('.media-library-add-form__fields');
                    const $buttonPane = $('.ui-dialog-buttonpane');
                    const $useExistingButton = $wrapper.find('.use-existing-button');

                    // Find all form items except our duplicate detection elements
                    const $formFields = $wrapper
                    .find('.form-item, .form-wrapper')
                    .not('.media-library-duplicate-check, .media-library-duplicate-check *, .form-item--duplicate-acknowledge');

                    // Initially hide the fields and button pane
                    $formFields.hide();
                    $buttonPane.hide();

                    // Handle checkbox changes
                    $(checkbox).on(
                        'change', function () {
                            if (this.checked) {
                                $formFields.slideDown(200);
                                $buttonPane.slideDown(200);
                            } else {
                                $formFields.slideUp(200);
                                $buttonPane.slideUp(200);
                            }
                        }
                    );

                    // Show button pane when "Use Existing" is clicked
                    $useExistingButton.on(
                        'click', function () {
                            $buttonPane.show();
                        }
                    );

                    // Trigger initial state check
                    $(checkbox).trigger('change');
                }
            );

            // If duplicate acknowledge checkbox isn't present (no permission)
            // or we're not in the file upload form, ensure button pane is visible
            if (!$('.duplicate-acknowledge').length) {
                $('.ui-dialog-buttonpane').show();
            }
        }
    };
})(jQuery, Drupal, once);
