(function ($, Drupal, once) {
  'use strict';

  Drupal.behaviors.mediaDupeSelect = {
    attach: function (context, settings) {
      // Function to get cookie value
      const getCookie = (name) => {
        const value = `; ${document.cookie}`;
        const parts = value.split(`; ${name}=`);
        if (parts.length === 2) {
          return parts.pop().split(';').shift();
        }
        return null;
      };

      // Function to delete cookie
      const deleteCookie = (name) => {
        document.cookie = name + '=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
      };

      // Check for the media selection cookie on view load
      once('media-library-selection', '.view-media-library', context).forEach(
        function (element) {
          const mediaId = getCookie('STYXKEY_media_select_id');
          console.log('mediaId: ', mediaId);

          if (mediaId) {
            console.log('Found media ID in cookie:', mediaId);

            // Give the view time to load
            setTimeout(
              () => {
                const $checkbox = $(element).find(`input[type="checkbox"][value="${mediaId}"]`);
                if ($checkbox.length) {
                  console.log('Found checkbox for media ID:', mediaId);
                  $checkbox.prop('checked', true).trigger('change');

                  // Delete the cookie after selection
                  deleteCookie('STYXKEY_media_select_id');
                }
              }, 500
            );
          }
        }
      );
    }
  };
})(jQuery, Drupal, once);
